# **Statistic Method**

**Statistic Method** adalah sebuah package yang dirancang untuk menyederhanakan pengolahan data numerik dalam bahasa Python. Package ini menawarkan berbagai modul statistik yang mendukung analisis mendalam terhadap dataset, seperti perhitungan mean, median, modus, desil, kuartil, variansi, simpangan rata-rata, kurtosis, dan skewness. Setiap modul memiliki peran penting dalam membantu pengguna menganalisis data secara efisien dan akurat. Dengan **Statistik Data**, pengguna dapat dengan mudah mengolah data numerik tanpa perlu mengimplementasikan algoritma statistik dari awal, sehingga mempermudah proses analisis secara keseluruhan.

``` import StatisticMethod ```

## **Mean**
Modul ini berfungsi untuk menghitung nilai rata-rata dari suatu kolom, memberikan gambaran umum tentang titik tengah data, serta mempermudah perbandingan dalam analisis statistik.

``` StatisticMethod.mean()```

## **Median**
Modul median menghitung nilai tengah dari suatu kolom, yang bermanfaat untuk memberikan representasi yang lebih akurat dari distribusi data, terutama ketika data mengandung nilai-nilai ekstrem.

``` StatisticMethod.median() ```


## **Modus**
Modul modus digunakan untuk menghitung nilai yang paling sering muncul dalam suatu kolom data. Mengetahui nilai modus membantu dalam mengidentifikasi pola atau kecenderungan dalam dataset.

``` StatisticMethod.modus() ```


## **Varians**
Modul variansi memberikan informasi tentang seberapa jauh data tersebar dari nilai rata-rata. Modul ini juga berguna untuk membandingkan variasi di antara beberapa grup data.

``` StatisticMethod.varians() ```


## **Desil**
Desil adalah modul yang membagi data menjadi 10 bagian yang sama besar. Hal ini memungkinkan analisis yang lebih terperinci terkait distribusi data dalam setiap bagian.

``` StatisticMethod.desil() ```


## **Kuartil**
Modul kuartil berguna untuk membagi data menjadi empat bagian yang sama besar. Selain itu, modul ini digunakan untuk menghitung rentang interkuartil (Q3 - Q1) yang memberikan informasi penting tentang penyebaran data.

``` StatisticMethod.kuartil() ```


## **Simpangan Baku**
Modul simpangan baku menghitung ukuran variasi atau penyebaran data. Semakin kecil simpangan baku, semakin dekat nilai-nilai data terhadap rata-rata, dan sebaliknya.

``` StatisticMethod.simpangan_baku() ```


## **Simpangan Rata-Rata**
Modul ini dirancang untuk menghitung simpangan rata-rata dari dataset, yang memberikan indikasi tentang tingkat sebaran data dan konsistensi nilai-nilai dalam dataset tersebut. Informasi ini dapat digunakan untuk mendukung pengambilan keputusan yang berbasis data.

``` StatisticMethod.simpangan_rata_rata() ```


## **Skewness dan Kurtosis**
Modul skewness mengukur derajat kemiringan distribusi data, sedangkan kurtosis memberikan informasi tentang bentuk distribusi, terutama apakah data menunjukkan distribusi yang lebih rata atau lebih memusat.

``` StatisticMethod.skewness_kurtosis() ```



---

**Statistic Method** mempermudah pengguna dengan memberikan akses langsung ke analisis statistik hanya dengan menghubungkan Python ke file Excel yang ada di komputer. Package ini menyediakan berbagai alat yang intuitif dan efisien untuk mendukung analisis statistik yang mendalam, menjadikannya solusi yang tepat bagi siapa pun yang ingin memproses data numerik dengan cepat dan akurat.


